# TdApi.WebPageInstantView (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: WebPageInstantView

Package it.tdlight.jni

# Class TdApi.WebPageInstantView

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.WebPageInstantView

Enclosing class:
  TdApi

    public static class TdApi.WebPageInstantView
    extends TdApi.Object

Describes an instant view page for a web page.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.InternalLinkType` | `feedbackLink` | An internal link to be opened to leave feedback about the instant view.
`boolean` | `isFull` | True, if the instant view contains the full page.
`boolean` | `isRtl` | True, if the instant view must be shown from right to left.
`TdApi.PageBlock[]` | `pageBlocks` | Content of the web page.
`int` | `version` | Version of the instant view, currently can be 1 or 2.
`int` | `viewCount` | Number of the instant view views; 0 if unknown.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`WebPageInstantView()` | Describes an instant view page for a web page.
`WebPageInstantView​(TdApi.PageBlock[] pageBlocks, int viewCount, int version, boolean isRtl, boolean isFull, TdApi.InternalLinkType feedbackLink)` | Describes an instant view page for a web page.
`WebPageInstantView​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pageBlocks

public TdApi.PageBlock[] pageBlocks
Content of the web page.

### viewCount

public int viewCount
Number of the instant view views; 0 if unknown.

### version

public int version
Version of the instant view, currently can be 1 or 2.

### isRtl

public boolean isRtl
True, if the instant view must be shown from right to left.

### isFull

public boolean isFull
True, if the instant view contains the full page. A network request might be needed to get the full web page instant view.

### feedbackLink

public TdApi.InternalLinkType feedbackLink
An internal link to be opened to leave feedback about the instant view.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### WebPageInstantView

public WebPageInstantView()
Describes an instant view page for a web page.

### WebPageInstantView

public WebPageInstantView​(TdApi.PageBlock[] pageBlocks, int viewCount, int version, boolean isRtl, boolean isFull, TdApi.InternalLinkType feedbackLink)
Describes an instant view page for a web page.

Parameters:
  `pageBlocks` - PageBlock[] Content of the web page.
  `viewCount` - int Number of the instant view views; 0 if unknown.
  `version` - int Version of the instant view, currently can be 1 or 2.
  `isRtl` - boolean True, if the instant view must be shown from right to left.
  `isFull` - boolean True, if the instant view contains the full page. A network request might be needed to get the full web page instant view.
  `feedbackLink` - InternalLinkType An internal link to be opened to leave feedback about the instant view.

### WebPageInstantView

public WebPageInstantView​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`